The Gnome Chemistry Utils: gtkcomboperiodic.h File Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

# gtkcomboperiodic.h File Reference

`#include <glib-object.h>`

Go to the source code of this file.

## Defines
#define | GTK_COMBO_PERIODIC_TYPE (gtk_combo_periodic_get_type ())
#define | GTK_COMBO_PERIODIC(o) (G_TYPE_CHECK_INSTANCE_CAST((o), GTK_COMBO_PERIODIC_TYPE, GtkComboPeriodic))
#define | GTK_IS_COMBO_PERIODIC(o) (G_TYPE_CHECK_INSTANCE_TYPE((o), GTK_COMBO_PERIODIC_TYPE))
## Typedefs
typedef struct _GtkComboPeriodic | GtkComboPeriodic
## Functions
GtkWidget * | gtk_combo_periodic_new (void)
guint | gtk_combo_periodic_get_element (GtkComboPeriodic *combo)
void | gtk_combo_periodic_set_element (GtkComboPeriodic *combo, guint element)

## Detailed Description

Declaration of the GtkComboPeriodic widget.

Definition in file gtkcomboperiodic.h.

## Define Documentation

#define GTK_COMBO_PERIODIC | ( | o |  | ) | (G_TYPE_CHECK_INSTANCE_CAST((o), GTK_COMBO_PERIODIC_TYPE, GtkComboPeriodic))

Casts obj to a GtkComboPeriodic * pointer.

Returns:
  a pointer to the GtkComboPeriodic * or NULL if obj does not point to a GtkComboPeriodic widget.

Definition at line 37 of file gtkcomboperiodic.h.

#define GTK_COMBO_PERIODIC_TYPE (gtk_combo_periodic_get_type ())

Returns:
  the GType associated to GtkComboPeriodic

Definition at line 31 of file gtkcomboperiodic.h.

#define GTK_IS_COMBO_PERIODIC | ( | o |  | ) | (G_TYPE_CHECK_INSTANCE_TYPE((o), GTK_COMBO_PERIODIC_TYPE))

Returns:
  TRUE if obj points to a GtkComboPeriodic widget, FALSE otherwise.

Definition at line 41 of file gtkcomboperiodic.h.

## Typedef Documentation

typedef struct _GtkComboPeriodic GtkComboPeriodic

The GtkComboPeriodic widget.

Definition at line 66 of file gtkcomboperiodic.h.

## Function Documentation

guint gtk_combo_periodic_get_element | ( | GtkComboPeriodic * | combo | ) |

Parameters:

  | combo | a GtkComboPeriodic widget Used to get the currently selected element in the periodic table.

Returns:
  the atomic number of the currently selected element or 0 if none is selected.

GtkWidget* gtk_combo_periodic_new | ( | void |  | ) |

Returns:
  a pointer to a newly created GtkComboPeriodic widget.

void gtk_combo_periodic_set_element | ( | GtkComboPeriodic * | combo,
|  | guint | element |
| ) |  |  |

Parameters:

  | combo | a GtkComboPeriodic widget
  | element | the atomic number of the element to select or 0 Sets the selected element in the periodic table.